STRUCT HASH<WCHAR_(3)

NAME
boost::hash<wchar_t>

SYNOPSIS

// In header: <boost/functional/hash.hpp>
struct hash<wchar_t> {
  std::size_t operator()(wchar_t) const;
};

DESCRIPTION

std::size_t operator()(wchar_t val) const;

Returns:
    Unspecified in TR1, except that equal arguments yield the same result.

    hash_value(val) in Boost.

Throws:
    Doesn't throw